Frage Wie man PHP 5.4 auf PHP 5.6 unter Debian GNU / Linux 7 aktualisiert (Wheezy)


Ich habe diese Zeilen hinzugefügt /etc/apt/sources.list

deb http://packages.dotdeb.org wheezy-php56 all
deb-src http://packages.dotdeb.org wheezy-php56 all

Aber dennoch sudo apt-get update oder sudo apt-get upgrade Berühre nicht PHP.

php --version ist immer noch

PHP 5.4.39-0+deb7u2 (cli) (built: Mar 25 2015 08:33:29) 

18
2018-05-26 04:46


Ursprung




Antworten:


(Aktualisieren) Probiere das (Ubuntu):

sudo add-apt-repository ppa:ondrej/php -y
sudo apt-get update
sudo apt-get install php5.6-fpm -y

(Aktualisieren) Für Debian Wheezy (mit Sudo)

echo "deb http://packages.dotdeb.org wheezy-php56 all" >> /etc/apt/sources.list.d/dotdeb.list
echo "deb-src http://packages.dotdeb.org wheezy-php56 all" >> /etc/apt/sources.list.d/dotdeb.list
wget http://www.dotdeb.org/dotdeb.gpg -O- | apt-key add - 
apt-get update
apt-get install php5-cli php5-fpm ….. (or whatever package you might need)

(Aktualisierung 21/06/2017) Für Debian 8 (jessie)

sudo nano /etc/apt/sources.list

Fügen Sie die folgenden Repositories hinzu:

...
deb http://mirrors.digitalocean.com/debian jessie main contrib non-free
deb-src http://mirrors.digitalocean.com/debian jessie main contrib non-free

deb http://security.debian.org/ jessie/updates main contrib non-free
deb-src http://security.debian.org/ jessie/updates main contrib non-free

# jessie-updates, previously known as 'volatile'
deb http://mirrors.digitalocean.com/debian jessie-updates main contrib non-free
deb-src http://mirrors.digitalocean.com/debian jessie-updates main contrib non-free

Dann aktualisiere deine Quellen:

sudo apt-get update

Dann installiere das php5-fpm

sudo apt-get install php5-fpm

25
2018-05-28 00:48



Das scheint nicht bei Wheezy zu funktionieren. Vielleicht wurde es entfernt? Sehen ppa.launchpad.net/ondrej/php5-5.6/ubuntu/dists - danorton
Ich habe die Referenz für die Wheezy-Installation aktualisiert. - Ale
Dies funktioniert nicht Debian 8, Warum ? - Nullpointer
@Nullpointer Ich aktualisiere die Antwort - Ale


sudo nano /etc/apt/sources.list

hinzufügen

deb http://packages.dotdeb.org wheezy all
deb-src http://packages.dotdeb.org wheezy all
deb http://packages.dotdeb.org wheezy-php56-zts all
deb-src http://packages.dotdeb.org wheezy-php56-zts all

speichern und ausführen

sudo apt-get update
sudo apt-get upgrade
sudo apt-get install php5 

mehr Infos hier https://www.dotdeb.org/anleitungen/


15
2017-08-07 09:36



interessant, wenn ich das mache, komme ich zurück php5 is already the newest version. - lfender6445
Das hat für mich funktioniert. - cwiggo
Ich bekam immer einen Fehler NO_PUBKEY, musste tun: gpg --keyserver keys.gnupg.net --recv-key 89DF5277  gpg -a --export 89DF5277 | sudo apt-key add -  Dank an: dotdeb.org/2010/07/11/dotdeb-packages-are-now-signed - user3413723


Nachdem du es getan hast apt-get update und apt-get upgrade Sie müssen eine Installation durchführen mit:

sudo apt-get install php5

-1
2018-05-26 07:33



Die letzte Version von PHP in den offiziellen Wheezy Repos ist 5.4, daher ist Ihre Lösung in diesem Zusammenhang ungültig. - matiit